import { EventEmitter, OnInit } from '@angular/core';
export declare class SimpleYearSelectorComponent implements OnInit {
    /**
     * Property declarations
     */
    private _year;
    private _years;
    pagedYears: Array<any>;
    currentPage: number;
    /**
     * Input & Output declarations
     */
    currentYear: number;
    yearSelected: EventEmitter<any>;
    close: EventEmitter<any>;
    /**
     * Events
     */
    selectYear(year: number): void;
    onClose(): void;
    /**
     * Component constructor
     */
    constructor();
    /**
     * Getters & setters
     */
    year: number;
    years: Array<any>;
    /**
     * Lifecycle hooks
     */
    ngOnInit(): void;
    /**
     * Component Methods
     */
    generateYears(): void;
    getPrevPage(): void;
    getNextPage(): void;
    getCurrentPage(): void;
    buildPagedYears(page?: number): void;
    setPagedYears(page?: number): void;
}
