import { EventEmitter, OnInit } from '@angular/core';
import * as SimplePickerModels from '../../angular-simple-date-picker.model';
export declare class SimpleMonthSelectorComponent implements OnInit {
    /**
     * Property declarations
     */
    private _month;
    monthTable: Array<SimplePickerModels.MonthListItem>;
    /**
     * Input & Output declarations
     */
    monthList: Array<SimplePickerModels.MonthListItem>;
    currentDate: any;
    monthSelected: EventEmitter<any>;
    close: EventEmitter<any>;
    /**
     * Events
     */
    selectMonth(month: any): void;
    onClose(): void;
    /**
     * Component constructor
     */
    constructor();
    /**
     * Getters & setters
     */
    month: string;
    /**
     * Lifecycle hooks
     */
    ngOnInit(): void;
    /**
     * Component Methods
     */
    private buildMonthTable;
    /**
     * Helper methods
     */
    private flattenArray;
}
